Back to top

Autore Topic: [Risolto] versione php  (Letto 12792 volte)

Offline fra2

  • Nuovo arrivato
  • *
  • Post: 18
    • Mostra profilo
[Risolto] versione php
« il: 20 Mar 2014, 13:09:51 »
Salve, sono per dire un novizio suo questa piattaforma, mi appoggio sui server di xxx ho preso sia il server che DB mysql. windows e linux. ( ho numero 5 db ..così se avessi qualche problema ho tutto). avevo precendemente installato wordpress sullo stesso db1  ma non mi interessava per il mio progetto. ho preso questa versione 323 stabile in ITA, credevo di partire in tromba e alla schermata mi appare il seguente errore:

Your host needs to use PHP 5.3.1 or higher to run this version of Joomla!
ho svuotato e cancellato le tabelle, senza successo...

ho rinominato e modificato il contenuto del file configuration.php con i miei paramentri...ma nulla
non credo che il provider ***** mi abbia dato un php obsoleto!!!


non mi interessava installare in locale..
ho cercato tra i post ma....sono costretto a scrivere...

grazie per l'attenzione Francesco
« Ultima modifica: 25 Mar 2014, 14:43:50 da fra2 »

Offline $Red

  • Moderator
  • Instancabile
  • *****
  • Post: 5342
  • "Bastard Inside"
    • Mostra profilo
Re:versione php su ....
« Risposta #1 il: 20 Mar 2014, 13:16:16 »
ciao e benvenuto sul forum, il tuo hosting ti consente la scelta dal pannello di controllo della versione php ti consiglio la versione 5.4.x una volta scelta la versione php trovi anche la scelta del file php.ini e c'è anche quello ottimizzato per joomla, a quel punto puoi installare joomla. Per favore rimuovi il nome dell'host su questo forum è vietato citare e discutere di qualsiasi prodotto commerciale non free grazie  :)
« Ultima modifica: 20 Mar 2014, 13:21:53 da $Red »

Offline fra2

  • Nuovo arrivato
  • *
  • Post: 18
    • Mostra profilo
Re:versione php su xxx
« Risposta #2 il: 20 Mar 2014, 13:22:28 »
ok grazie ora ci provo...
...e..corretto :-[
« Ultima modifica: 20 Mar 2014, 17:24:00 da maicolstaip »

Offline $Red

  • Moderator
  • Instancabile
  • *****
  • Post: 5342
  • "Bastard Inside"
    • Mostra profilo
Re:versione php su ...
« Risposta #3 il: 20 Mar 2014, 13:25:05 »
di niente edita anche il titolo  ;) comunque non è difficile dal pannello di controllo dell'host è abbastanza intuitivo, mi raccomando scegli prima la versione php e poi il file php.ini altrimenti si resetta a quello preimpostato

Offline fra2

  • Nuovo arrivato
  • *
  • Post: 18
    • Mostra profilo
Re:versione php
« Risposta #4 il: 20 Mar 2014, 13:28:07 »
ok fatto... ho visto che c'è anche la versione 5.5
setto quella?

Offline $Red

  • Moderator
  • Instancabile
  • *****
  • Post: 5342
  • "Bastard Inside"
    • Mostra profilo
Re:versione php
« Risposta #5 il: 20 Mar 2014, 13:33:29 »
io su un sito che ho fatto su quell'host uso la 5.4 la 5.5 è un pò troppo "giovane" secondo me, e non so se puo dare problemi al funzionamento di joomla lascio la risposta agli esperti.

Offline fra2

  • Nuovo arrivato
  • *
  • Post: 18
    • Mostra profilo
Re:versione php
« Risposta #6 il: 20 Mar 2014, 13:45:34 »
niente... ho cambiato anche pc per paura di qualche cache..

Offline $Red

  • Moderator
  • Instancabile
  • *****
  • Post: 5342
  • "Bastard Inside"
    • Mostra profilo
Re:versione php
« Risposta #7 il: 20 Mar 2014, 13:47:01 »
cioè ti dice ancora che necessiti di versione php 5.3.10 minima?

Offline fra2

  • Nuovo arrivato
  • *
  • Post: 18
    • Mostra profilo
Re:versione php
« Risposta #8 il: 20 Mar 2014, 13:51:45 »
esatto
ho provato anche la 5.59 e rimpostato il file php.ini...   e nulla...
« Ultima modifica: 20 Mar 2014, 13:55:35 da fra2 »

Offline $Red

  • Moderator
  • Instancabile
  • *****
  • Post: 5342
  • "Bastard Inside"
    • Mostra profilo
Re:versione php
« Risposta #9 il: 20 Mar 2014, 13:56:49 »
strano, puoi provare a ricaricare joomla e vedere se parte correttamente l'installazione, non devi modificare manualmente il configuration.php verrà popolato con i dati che inserisci a video quando richiesto durante l'installazione, se non va ti consiglio di rivolgerti al tuo host aprendo un ticket di assistenza

Offline fra2

  • Nuovo arrivato
  • *
  • Post: 18
    • Mostra profilo
Re:versione php
« Risposta #10 il: 20 Mar 2014, 14:00:33 »
tiket già aperto... in attesa di risposta.. ::) ...


dici che cancello tutto a tabula rasa e ricomincio a trasferire i file di installazione 323 ?


Offline $Red

  • Moderator
  • Instancabile
  • *****
  • Post: 5342
  • "Bastard Inside"
    • Mostra profilo
Re:versione php
« Risposta #11 il: 20 Mar 2014, 14:05:13 »
puoi provare, o anche senza cancellare sovrascrivi, alla fine dell'upload controlla che non ci siano file che non sono stati inviati correttamente, se usi filezilla c'è il tab Trasferimenti non completati ci clicchi e invii nuovamente

Offline fra2

  • Nuovo arrivato
  • *
  • Post: 18
    • Mostra profilo
Re:versione php
« Risposta #12 il: 20 Mar 2014, 14:48:24 »
grazie... riprovato tutto... uso il Cute FTP 8 proferssional.... storco e non lo cambierò mai!!! :D


di nuovo quell'insidioso messaggio senza poter installare... >:(

Offline $Red

  • Moderator
  • Instancabile
  • *****
  • Post: 5342
  • "Bastard Inside"
    • Mostra profilo
Re:versione php
« Risposta #13 il: 20 Mar 2014, 15:11:10 »
se hai già aperto il ticket allora aspetta senti che hanno da dire, perche se hai impostato il php 5.4.x ma joomla non lo rileva potrebbe essere un errore sullo spazio web, ma non sono un esperto potrei sbagliare, l'unica cosa che mi viene in mente che molto probabilmente non ha niente a che fare, mentre aspetti risposta è provare a fare un ripristino permessi file e cartelle dal loro pannello di controllo

Offline fra2

  • Nuovo arrivato
  • *
  • Post: 18
    • Mostra profilo
Re:versione php
« Risposta #14 il: 25 Mar 2014, 13:56:19 »
risolto!!! all'acquisto del dominio, avevo richiesto il server in linux ma il gestore mi ha fornito sia per windows che per linux. e aveva dato per default il server in windows.... mentre si settava le versioni di php e le il ftp... e si faceva le prove  per il linux e non si vedeva nessun cambiamento....Ovvio una volta impostato linux come . tutto è apparso come il giorno!!!!

Ci sono stati giorni di attesa.... è andata.... 

Quindi inviterei a tutti , al momento dell'acquisto del dominio, se sia SETTATO COME DEFAULT il server in linux... altrimenti sbatterete le corna come me!!! :D

Offline giusebos

  • Fuori controllo
  • *
  • Post: 21737
  • Sesso: Maschio
  • Giuseppe Serbelloni Mazzanti Viendalmare
    • Mostra profilo
Re:versione php (Risolto!)
« Risposta #15 il: 25 Mar 2014, 14:37:14 »
per cortesia, il risolto inseriscilo nel giusto modo, fra parentesi quadre e prima del titolo ;)
su www.icagenda.it guide e tutorial con esempi di chronoforms e chronoconnectivity

Offline fra2

  • Nuovo arrivato
  • *
  • Post: 18
    • Mostra profilo
Re:[Risolto] versione php
« Risposta #16 il: 25 Mar 2014, 14:44:26 »
 :P
grazie!

Offline nexus6

  • Esploratore
  • **
  • Post: 58
  • Sesso: Maschio
    • Mostra profilo
Re:[Risolto] versione php
« Risposta #17 il: 28 Ago 2014, 11:20:53 »
Aggiungerei per a gevolare altri che incorrono in questo problema.

Per passare l'indirizzamento di default da windows a linux, bisogna:

1) andare nel pannello di gestione del dominio
2) selezionare "hosting windows
3) cliccare su "gestisci" sulla voce in fondo relativa a "GESTIONE HOST WWW"
4) nella schermata cliccare sull'opzione "Linux" e premere conferma

Il sistema dichiara di necessitare da 24/48 ore ....
Nulla sfugge all'occhio vigile ed attento del cacciator di acqua e di valli

 



Web Design Bolzano Kreatif